> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/upload-files-with-the-geopard-api.md).

# Завантаження файлів за допомогою GeoPard API

{% hint style="success" %}
Рекомендований спосіб для файлів розміром понад 6 МБ — це [процес із попередньо підписаною URL-адресою](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

API GeoPard дає змогу завантажувати ZIP-архіви з наборами даних про ґрунт, урожайність, внесення ресурсів і межі для подальшої обробки й аналітики.

{% hint style="danger" %}
Через обмеження AWS максимальний розмір файлу, який можна завантажити через цю кінцеву точку REST API, становить 6 МБ.
{% endhint %}

Етапи завантаження файлів розміром понад 6 МБ описано в розділі [Завантаження ZIP-файлів (понад 6 МБ)](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Одразу після успішного завантаження набору даних про ґрунт, урожайність або внесення ресурсів рушій GeoPard пов’язує його з відповідними полями, розташованими в межах визначеної ферми.

Одразу після успішного завантаження межі рушій GeoPard запускає її обробку.

Відповідь містить `<uuid>` який можна використовувати для відстеження стану обробки.

#### Приклад запиту:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Параметри:

1. `<type>` — тип завантажуваного набору даних. Це має бути `yield` АБО `soil` АБО `applied` АБО `boundary`.
2. `<farm_uuid>` — `uuid` ферми, до якої буде завантажено файл (необов’язково).
3. `<token>` — токен доступу GeoPard.
4. `@path/to/file.zip` — шлях до файлу, який завантажується.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
